/***************************************************************************
 *   Copyright (C) 2006 by Stefano Zingarini   *
 *   stefano@xiaprojects.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef XEPLUGIN_MOUNTS_H
#define XEPLUGIN_MOUNTS_H

#include <qobject.h>

#include <libkxdocker.h>


/**
	@author Stefano Zingarini <stefano@xiaprojects.com>
*/
class XEPlugin_Mounts : public QObject
{
Q_OBJECT
public:
    XEPlugin_Mounts(QObject *parent = 0, const char *name = 0);

    ~XEPlugin_Mounts();
protected:
	class XSConfigurations *ActiveConfiguration;
	class XGDocker	*xGDocker;
	class XEConfiguration *Configurator;
	class KDirWatch	*KDEWatch;
	QString 	AutoAddMounts;
	QString		onClickExec;
	QString		prefixCaption;
	QString 	ExternalEntryManager;
protected slots:
    void MountAdded(const QString &,const QString &,const QString &);
    void dirty(const QString &);
public slots:
    void xSetup();
    void xStart();
    void xStop();
    void xGetParameter(const QString,QString&);
    void xGetParameterList(QStringList*);
    void xGetInfo(QStringList &);
    void xSetupParameter(const QString, const QString);
};

#endif
